RDKit::RGroupDecomposition Class Reference

`#include <RGroupDecomp.h>`

## Public Member Functions

| RGroupDecomposition (const ROMol &core, const RGroupDecompositionParameters &params=RGroupDecompositionParameters())
| RGroupDecomposition (const std::vector< ROMOL_SPTR > &cores, const RGroupDecompositionParameters &params=RGroupDecompositionParameters())
| ~RGroupDecomposition ()
int | add (const ROMol &mol)
bool | process ()
std::vector< std::string > | getRGroupLabels () const
| return the current group labels More...
RGroupRows | getRGroupsAsRows () const
| return rgroups in row order group[row][attachment_point] = ROMol More...
RGroupColumns | getRGroupsAsColumns () const
| return rgroups in column order group[attachment_point][row] = ROMol More...

## Detailed Description

Definition at line 101 of file RGroupDecomp.h.

## Constructor & Destructor Documentation

## RGroupDecomposition() [1/2]

RDKit::RGroupDecomposition::RGroupDecomposition | ( | const ROMol & | core,
|  | const RGroupDecompositionParameters & | params = `RGroupDecompositionParameters()`
| ) |  |

## RGroupDecomposition() [2/2]

RDKit::RGroupDecomposition::RGroupDecomposition | ( | const std::vector< ROMOL_SPTR > & | cores,
|  | const RGroupDecompositionParameters & | params = `RGroupDecompositionParameters()`
| ) |  |

## ~RGroupDecomposition()

RDKit::RGroupDecomposition::~RGroupDecomposition | ( |  | ) |

## Member Function Documentation

## add()

int RDKit::RGroupDecomposition::add | ( | const ROMol & | mol | ) |

## getRGroupLabels()

std::vector<std::string> RDKit::RGroupDecomposition::getRGroupLabels | ( |  | ) | const

return the current group labels

## getRGroupsAsColumns()

RGroupColumns RDKit::RGroupDecomposition::getRGroupsAsColumns | ( |  | ) | const

return rgroups in column order group[attachment_point][row] = ROMol

## getRGroupsAsRows()

RGroupRows RDKit::RGroupDecomposition::getRGroupsAsRows | ( |  | ) | const

return rgroups in row order group[row][attachment_point] = ROMol

## process()

bool RDKit::RGroupDecomposition::process | ( |  | ) |

The documentation for this class was generated from the following file:

- RGroupDecomp.h